Get replica
curl --request GET \
--url https://api.replicas.dev/v1/replica/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.replicas.dev/v1/replica/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.replicas.dev/v1/replica/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.replicas.dev/v1/replica/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.replicas.dev/v1/replica/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.replicas.dev/v1/replica/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.replicas.dev/v1/replica/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"replica": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "active",
"source": "api",
"created_at": "2023-11-07T05:31:56Z",
"repositories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>"
}
],
"kind": "standard",
"last_activity_at": "2023-11-07T05:31:56Z",
"pull_requests": [
{
"repository": "<string>",
"number": 123,
"url": "<string>"
}
],
"coding_agent": "claude",
"repository_statuses": [
{
"repository": "<string>",
"branch": "<string>",
"default_branch": "<string>",
"pr_urls": [
"<string>"
],
"start_hooks_completed": true,
"git_diff": {
"added": 123,
"removed": 123,
"full_diff": "<string>"
}
}
],
"waking": true,
"chats": [
{
"id": "<string>",
"provider": "claude",
"title": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"processing": true
}
],
"environment": {
"engine_version": "<string>",
"files_uploaded": [
"<string>"
],
"env_vars_set": [
"<string>"
],
"skills_installed": [
"<string>"
],
"integrations": {
"github": true,
"gitlab": true,
"linear": true,
"slack": true
},
"coding_agents": {
"claude": {
"available": true,
"auth_method": "<string>"
},
"codex": {
"available": true,
"auth_method": "<string>"
},
"gemini": {
"available": true,
"auth_method": "<string>"
},
"muse": {
"available": true,
"auth_method": "<string>"
},
"opencode": {
"available": true,
"auth_method": "<string>"
},
"pi": {
"available": true,
"auth_method": "<string>"
},
"cursor": {
"available": true,
"auth_method": "<string>"
}
},
"hooks": {
"environment_warm_hook": {
"status": "<string>",
"details": "<string>"
},
"repositories": [
{
"repository_name": "<string>",
"warm_hook": "<string>",
"start_hook": "<string>"
}
]
},
"last_updated_at": "2023-11-07T05:31:56Z"
},
"activity": {
"state": "working",
"chat_id": "<string>",
"current_step": "<string>",
"last_agent_message": "<string>"
}
}
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}Replica
Get replica
Returns the replica with its chats, repositories, and pull requests. Sleeping and archived replicas return their retained chats without waking. Use include for environment details and diffs.
GET
/
v1
/
replica
/
{id}
Get replica
curl --request GET \
--url https://api.replicas.dev/v1/replica/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.replicas.dev/v1/replica/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.replicas.dev/v1/replica/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.replicas.dev/v1/replica/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.replicas.dev/v1/replica/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.replicas.dev/v1/replica/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.replicas.dev/v1/replica/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"replica": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "active",
"source": "api",
"created_at": "2023-11-07T05:31:56Z",
"repositories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>"
}
],
"kind": "standard",
"last_activity_at": "2023-11-07T05:31:56Z",
"pull_requests": [
{
"repository": "<string>",
"number": 123,
"url": "<string>"
}
],
"coding_agent": "claude",
"repository_statuses": [
{
"repository": "<string>",
"branch": "<string>",
"default_branch": "<string>",
"pr_urls": [
"<string>"
],
"start_hooks_completed": true,
"git_diff": {
"added": 123,
"removed": 123,
"full_diff": "<string>"
}
}
],
"waking": true,
"chats": [
{
"id": "<string>",
"provider": "claude",
"title": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"processing": true
}
],
"environment": {
"engine_version": "<string>",
"files_uploaded": [
"<string>"
],
"env_vars_set": [
"<string>"
],
"skills_installed": [
"<string>"
],
"integrations": {
"github": true,
"gitlab": true,
"linear": true,
"slack": true
},
"coding_agents": {
"claude": {
"available": true,
"auth_method": "<string>"
},
"codex": {
"available": true,
"auth_method": "<string>"
},
"gemini": {
"available": true,
"auth_method": "<string>"
},
"muse": {
"available": true,
"auth_method": "<string>"
},
"opencode": {
"available": true,
"auth_method": "<string>"
},
"pi": {
"available": true,
"auth_method": "<string>"
},
"cursor": {
"available": true,
"auth_method": "<string>"
}
},
"hooks": {
"environment_warm_hook": {
"status": "<string>",
"details": "<string>"
},
"repositories": [
{
"repository_name": "<string>",
"warm_hook": "<string>",
"start_hook": "<string>"
}
]
},
"last_updated_at": "2023-11-07T05:31:56Z"
},
"activity": {
"state": "working",
"chat_id": "<string>",
"current_step": "<string>",
"last_agent_message": "<string>"
}
}
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}Authorizations
Headers
API version. 2026-10-07 returns snake_case responses. See versioning.
Available options:
2026-10-07 Query Parameters
⌘I